﻿@*<form id="form_">
    <input type="file" id="file" name="file" />

</form>
<input type="button" id="btnUpload" value="Upload Files" />

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script>

$(document).ready(function(){
    $('#btnUpload').click(function () {

        // Checking whether FormData is available in browser
        if (window.FormData !== undefined) {

            var fileData = new FormData($("#form_").get(0));

            fileData.append("idPengajuan", "CT202104001");

            $.ajax({
                url: '@Url.Content("~/FileUpload/UploadFiles")',
                type: "POST",
                enctype : "multipart/form-data",
                contentType: false, // Not to set any content header
                processData: false, // Not to process data
                data: fileData,
                success: function (result) {

                    alert("success");


                },
                error: function (err) {
                    alert(err.statusText);
                }
            });
        } else {
            alert("FormData is not supported.");
        }
    });
});
</script>*@



@*
    @{
        ViewBag.Title = "Part6";
    }

    <h2>Part6 - Upload file to web api using Http Client</h2>
    <div class="container">
        <div>
            @if (ViewBag.Success != null)
            {
                <div class="alert alert-success" role="alert">
                    <strong>Well done !</strong> Successfully uploaded. <a href="@ViewBag.Success" target="_blank">open file</a>
                </div>
            }
            else if (ViewBag.Failed != null)
            {
                <div class="alert alert-error" role="alert">
                    <strong>Error !</strong> @ViewBag.Failed
                </div>
            }
        </div>
        @using (Html.BeginForm("UploadFiles", "FileUpload", FormMethod.Post, new { role = "form", enctype = "multipart/form-data" }))
        {
            <div class="form-group">
                <input type="file" id="file" name="file" />
            </div>
            <input type="submit" value="Submit" class="btn btn-default" />
        }
    </div>*@